Subject: [dhcwg] RFC8415 Erratum?

From: t petch <[email-masked]>
Date: Tue, 15 Jun 2021 10:54:08 +0100

RFC8415 specifies the use of an Enterprise Number as the basis for a 
DUID and in its example, it uses the value '9'.  This is an assigned 
number, assigned to Cisco.  RFC5612 assigns a value for documentation 
use, 32473, which, IMHO, is the one that could have been used here.

Thoughts?

Tom Petch

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 15 Jun 2021 11:10:36 +0000

That’s really up to you. 9 was in RFC3315 and at that time there was no documentation value and no one caught the issue (if it really is an issue).

- Bernie

> On Jun 15, 2021, at 5:54 AM, t petch <[email-masked]> wrote:
> 
> RFC8415 specifies the use of an Enterprise Number as the basis for a DUID and in its example, it uses the value '9'.  This is an assigned number, assigned to Cisco.  RFC5612 assigns a value for documentation use, 32473, which, IMHO, is the one that could have been used here.
> 
> Thoughts?
> 
> Tom Petch

---

From: t petch <[email-masked]>
Date: Tue, 15 Jun 2021 16:36:37 +0100

> From: Bernie Volz (volz) <[email-masked]>
> Sent: 15 June 2021 12:10
>

If it has been ok with Cisco for all these years, then I am inclined not 
to raise an erratum:-)  The problem it creates is when a follow-on I-D, 
such as dhcpv6-yang, copies and extends the value and so it is not just 
using the value for Cisco but that for another organisation, NSC, as 
well. As I posted separately, I think that dhcpv6-yang should not be 
using the NSC value and will pursue that.

Tom Petch

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 15 Jun 2021 15:46:59 +0000

I agree that new documents should make use of the documentation values.

As far as I know, no one has raised any issues with use of the Cisco enterprise id.

One issue with not filing something about this issue in RFC8415 is that it may be forgotten should there be a 8415-bis. Probably best to file an editorial errata:

	Editorial	a spelling, grammar, punctuation, or syntax error that does not affect the technical meaning

- Bernie

-----Original Message-----
From: t petch <[email-masked]> 
Sent: Tuesday, June 15, 2021 11:37 AM
To: Bernie Volz (volz) <[email-masked]>; [email-masked]
Subject: Re: RFC8415 Erratum?

> That’s really up to you. 9 was in RFC3315 and at that time there was no documentation value and no one caught the issue (if it really is an issue).

If it has been ok with Cisco for all these years, then I am inclined not to raise an erratum:-)  The problem it creates is when a follow-on I-D, such as dhcpv6-yang, copies and extends the value and so it is not just using the value for Cisco but that for another organisation, NSC, as well. As I posted separately, I think that dhcpv6-yang should not be using the NSC value and will pursue that.

Tom Petch